PUT
/api/v2/payments/mandates/{mandateId}/revokeRevoke a payment mandate
Authentication
Send your API key in the x-api-key header on every request.
Parameters
| Field | Type | Required | Description |
|---|---|---|---|
| mandateId (path) | unknown | Yes | Payment mandate ID |
Request body
application/json
| Field | Type | Required | Description |
|---|---|---|---|
| Reason | string | No |
Responses
200 — OK
| Field | Type | Required | Description |
|---|---|---|---|
| Id | unknown | No | |
| UserId | unknown | No | |
| CompanyId | unknown | No | |
| MaxAmount | string | No | |
| Currency | string | No | |
| Frequency | MandateFrequencyV2 | No | |
| Status | MandateStatusV2 | No | |
| Description | string | No | |
| ExternalReferenceId | string | No | |
| StartDate | string | No | |
| EndDate | string | No | |
| CreatedAt | string | No | |
| UpdatedAt | string | No |
404 — Not Found
| Field | Type | Required | Description |
|---|---|---|---|
| Message | string | No | |
| Code | string | No | |
| Status | unknown | No | |
| ValidationErrors | object | No | |
| Details | string | No |
500 — Internal Server Error
| Field | Type | Required | Description |
|---|---|---|---|
| Message | string | No | |
| Code | string | No | |
| Status | unknown | No | |
| ValidationErrors | object | No | |
| Details | string | No |
Example request
curl -X PUT "https://{base_url}/api/v2/payments/mandates/{mandateId}/revoke" \
-H "x-api-key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{}'This page is generated from the live OpenAPI specification and always matches the current API.